std::future_error(3)

NAME
std::future_error - Exception type thrown by futures.

SYNOPSIS

Inherits std::logic_error.

  Public Member Functions
future_error (future_errc __errc)
const error_code & code () const noexcept
virtual const char * what () const noexcept

  Friends
void __throw_future_error (int)

Detailed Description

Exception type thrown by futures.

Definition at line 96 of file future.

Author

Generated automatically by Doxygen for libstdc++ from the source code.